@echo off & setlocal enableextensions

:: runall.bat for citeswood. Revised 22/11/2019. M.J. Dallwitz.
:: Runs all action sets (directives files) required for Web distribution.
:: If there is a parameter (e.g. 'runall x'), the revision date is set to the current date.

if "%~1" neq "" call dataver || goto abort

call runlan de || goto abort
echo.
echo ===== End of de ==============================================================
echo. & echo.
pause

call runlan en || goto abort
echo.
echo ===== End of en ==============================================================
echo. & echo.
pause

call runlan es || goto abort
echo.
echo ===== End of es ==============================================================
echo. & echo.
pause

call runlan fr || goto abort
echo.
echo ===== End of fr ==============================================================
echo. & echo.

goto finish

:abort
echo.
echo  ****** 'runall.bat' failed.
exit /b 1

:finish
exit /b 0
